Add SASS/SCSS Support to Netbeans 7.X

Overview:

What this post will go over is how to set up SASS/SCSS support for Netbeans 7.X (Please do not follow this page if you are using Netbeans 8.0 or higher). In this example I am running Mac OSX but the steps should be similar for Windows or Linux (other than file locations).

What You’ll Need:

  1. Netbeans 7.4
  2. Ruby (this comes with Mac OSX)
  3. Ruby Gems
  4. Sass Gem

Preface

This page was written for Netbeans 7.X and below. As of Netbeans 8.0 and above they have added support for SASS and LESS natively! You do NOT have to follow these steps if you are using Netbeans 8.0 and above.

Continue reading

#css, #less, #netbeans, #sass, #scss